Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(162)

Issue 332630043: [plaso] Replaced FromTimeParts in favor of dfdatetime and fixed #1700 (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 months ago by Joachim Metz
Modified:
7 months, 4 weeks ago
Reviewers:
jberggren, onager
CC:
romaing, kiddi, log2timeline-dev_googlegroups.com, aaronp
Visibility:
Public.

Description

[plaso] Replaced FromTimeParts in favor of dfdatetime and fixed #1700

Patch Set 1 #

Total comments: 6

Patch Set 2 : Changes after review #

Total comments: 8

Patch Set 3 : Deprecated use of FromTimeParts function in favor of dfdatetime #

Total comments: 4

Patch Set 4 : Changes after review and rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+241 lines, -267 lines) Patch
M plaso/lib/timelib.py View 1 2 3 2 chunks +0 lines, -43 lines 0 comments Download
M plaso/parsers/sccm.py View 1 2 3 9 chunks +77 lines, -43 lines 0 comments Download
M plaso/parsers/symantec.py View 1 8 chunks +60 lines, -63 lines 0 comments Download
M plaso/parsers/syslog.py View 1 2 3 6 chunks +46 lines, -41 lines 0 comments Download
M plaso/parsers/syslog_plugins/cron.py View 1 2 2 chunks +4 lines, -5 lines 0 comments Download
M plaso/parsers/syslog_plugins/interface.py View 2 chunks +6 lines, -7 lines 0 comments Download
M plaso/parsers/syslog_plugins/ssh.py View 1 2 2 chunks +4 lines, -5 lines 0 comments Download
M tests/lib/timelib.py View 1 2 1 chunk +0 lines, -19 lines 0 comments Download
M tests/parsers/sccm.py View 1 2 2 chunks +3 lines, -3 lines 0 comments Download
M tests/parsers/symantec.py View 1 chunk +10 lines, -15 lines 0 comments Download
M tests/parsers/syslog.py View 3 chunks +31 lines, -23 lines 0 comments Download

Messages

Total messages: 14
Joachim Metz
9 months ago (2018-01-18 19:19:23 UTC) #1
onager
This CL doesn't seem to actually remove FromTimeParts from timelib, and leaves the usage in ...
9 months ago (2018-01-19 04:51:07 UTC) #2
Joachim Metz
> This CL doesn't seem to actually remove FromTimeParts from timelib, and leaves > the ...
9 months ago (2018-01-19 05:21:54 UTC) #3
Joachim Metz
Code updated.
9 months ago (2018-01-19 05:31:15 UTC) #4
onager
Please also change the CL description, as the FromTimeParts function hasn't been removed. https://codereview.appspot.com/332630043/diff/20001/plaso/parsers/syslog.py File ...
8 months, 3 weeks ago (2018-01-24 07:46:08 UTC) #5
Joachim Metz
https://codereview.appspot.com/332630043/diff/20001/plaso/parsers/syslog.py File plaso/parsers/syslog.py (right): https://codereview.appspot.com/332630043/diff/20001/plaso/parsers/syslog.py#newcode152 plaso/parsers/syslog.py:152: pyparsing.Word(pyparsing.nums, exact=4) + pyparsing.Literal('-') + Because it was incorrect ...
8 months, 3 weeks ago (2018-01-24 07:54:50 UTC) #6
Joachim Metz
> Please also change the CL description, as the FromTimeParts function hasn't been removed. Deprecation ...
8 months, 3 weeks ago (2018-01-24 07:56:11 UTC) #7
Joachim Metz
Code updated.
8 months, 1 week ago (2018-02-04 09:51:00 UTC) #8
onager
https://codereview.appspot.com/332630043/diff/20001/plaso/parsers/syslog.py File plaso/parsers/syslog.py (right): https://codereview.appspot.com/332630043/diff/20001/plaso/parsers/syslog.py#newcode152 plaso/parsers/syslog.py:152: pyparsing.Word(pyparsing.nums, exact=4) + pyparsing.Literal('-') + On 2018/01/24 07:54:50, Joachim ...
8 months ago (2018-02-11 12:12:28 UTC) #9
Joachim Metz
https://codereview.appspot.com/332630043/diff/20001/plaso/parsers/syslog.py File plaso/parsers/syslog.py (right): https://codereview.appspot.com/332630043/diff/20001/plaso/parsers/syslog.py#newcode152 plaso/parsers/syslog.py:152: pyparsing.Word(pyparsing.nums, exact=4) + pyparsing.Literal('-') + the previous definitions produced ...
8 months ago (2018-02-11 13:26:14 UTC) #10
onager
LGTM, with small fixes https://codereview.appspot.com/332630043/diff/40001/plaso/parsers/sccm.py File plaso/parsers/sccm.py (right): https://codereview.appspot.com/332630043/diff/40001/plaso/parsers/sccm.py#newcode77 plaso/parsers/sccm.py:77: 'hours': _ONE_OR_TWO_DIGITS.setResultsName('hours'), Please revert this, ...
7 months, 4 weeks ago (2018-02-19 15:54:32 UTC) #11
Joachim Metz
https://codereview.appspot.com/332630043/diff/40001/plaso/parsers/sccm.py File plaso/parsers/sccm.py (right): https://codereview.appspot.com/332630043/diff/40001/plaso/parsers/sccm.py#newcode77 plaso/parsers/sccm.py:77: 'hours': _ONE_OR_TWO_DIGITS.setResultsName('hours'), On 2018/02/19 15:54:31, onager wrote: > Please ...
7 months, 4 weeks ago (2018-02-19 17:33:49 UTC) #12
Joachim Metz
Code updated.
7 months, 4 weeks ago (2018-02-19 17:39:11 UTC) #13
Joachim Metz
7 months, 4 weeks ago (2018-02-19 17:45:47 UTC) #14
Changes have been merged with master branch. To close the review and clean up
the feature branch you can run: review.py close datetime4
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b